> For the complete documentation index, see [llms.txt](https://docs.openg2p.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openg2p.org/1.3/deployment/deployment-guide/troubleshooting-section/postgresql-database-not-starting-due-to-replication-checkpoint-error..md).

# PostgreSQL Database not Starting due to Replication Checkpoint Error

This guide explains how to resolve PostgreSQL **replication checkpoint** error when the file is corrupted.

## **Common reasons for the error**

1. **Hardware Issues:** Disk failures or other hardware malfunctions.
2. **Software Issues:** Improper shutdowns, crashes, or incomplete write operations.

## Solution

1. Connect to NFS node where the PostgreSQL data is stored.
2. Navigate to PostgreSQL PVC.

   ```bash
   cd /path/to/your/postgres/pvc/data/pg_logical/
   ```
3. Delete or rename the corrupted `replorigin_checkpoint` file.

   ```bash
   sudo mv replorigin_checkpoint replorigin_checkpoint_corrupted
   ```
4. Restart the PostgreSQL service to allow it to generate a new `replorigin_checkpoint` file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openg2p.org/1.3/deployment/deployment-guide/troubleshooting-section/postgresql-database-not-starting-due-to-replication-checkpoint-error..md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
